capture log close
local date: di %d date(c(current_date),"DMY")
log using $log\clean_`date'.log, replace
*-------------------------------------------------------------------------------
* CLEANING OF ROBOT DATA IN IAB WAVE 2019.
*-------------------------------------------------------------------------------
cd "$main"
set more off
clear all

use "$data\panel_v1.dta", clear
preserve 
keep if year==2019

* consistency check of intensive and extensive margin: no answer if Yes/No is No 
sum  *robot* if D_robot==0
*set number of robots in 2014-2018 to zero if extensive margin is zero:
replace robots_2014=0 if D_robot==0
replace robots_2015=0 if D_robot==0
replace robots_2016=0 if D_robot==0
replace robots_2017=0 if D_robot==0
replace robots_2018=0 if D_robot==0
replace cage_robots=0 if D_robot==0
replace cheap_robots=0 if D_robot==0 
replace new2018_robots=0 if D_robot==0


save "$data\robot_v1.dta", replace
restore 

capture log close

