capture log close
local date: di %d date(c(current_date),"DMY")
log using $log\preparing_controls_`date'.log, replace
/*-------------------------------------------------------------------------------
* PREPARING CONTROL VARIABLES
*-------------------------------------------------------------------------------
* Note: We impute missing values in control variables in base year 2014 
		(and 2016 for panel regressions). 
*------------------------------------------------------------------------------*/
cd "$main"
set more off
clear all

use "$data\panel_v5.dta", clear	// JS
xtset idnum year

foreach x in D_export D_betrrat D_tarif D_foreign_owner {
	tab `x' year, m
	bys idnum: replace `x'=F1.`x' if `x'==. & F1.`x'!=. & F1.`x'==L1.`x'  		// impute if lag and lead are identical 
	tab `x' year, m
	}

local vars "ges_bes log_ges_bes log_busi_vol highskill mediumskill lowskill D_export D_tech D_foreign_owner D_betrrat D_tarif inno4 inno1 log_lprod D_lscarcity D_lscarcity_hs log_invest lntfp_tv_cd"
	foreach x in `vars' {
	tabstat `x' if D_robot_adoption!=., by(year) stats(mean N)
	bys idnum: replace `x'=L1.`x' if year==2014 & `x'==. & L1.`x'!=.  			// impute value from previous year if 2014 value is missing
	bys idnum: replace `x'=L1.`x' if year==2016 & `x'==. & L1.`x'!=.  			// impute value from previous year if 2016 value is missing
	tabstat `x' if D_robot_adoption!=., by(year) stats(mean N)
	}

save "$data\panel_v6_rbtadopt.dta", replace

cap log close